import request from '@/utils/request'

// 查询校考院校列表
export function listMallTestSchool(query) {
  return request({
    url: '/mall/mallTestSchool/list',
    method: 'get',
    params: query
  })
}

// 查询校考院校详细
export function getMallTestSchool(testSchoolId) {
  return request({
    url: '/mall/mallTestSchool/' + testSchoolId,
    method: 'get'
  })
}

// 新增校考院校
export function addMallTestSchool(data) {
  return request({
    url: '/mall/mallTestSchool',
    method: 'post',
    data: data
  })
}

// 修改校考院校
export function updateMallTestSchool(data) {
  return request({
    url: '/mall/mallTestSchool',
    method: 'put',
    data: data
  })
}

// 删除校考院校
export function delMallTestSchool(testSchoolId) {
  return request({
    url: '/mall/mallTestSchool/' + testSchoolId,
    method: 'delete'
  })
}
